
Figure - Bug #117413
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】部分强制小窗应用打开后，点击搜索框或者登录按钮，应用由小窗模式变为全
屏
2023-04-12 15:10 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-12

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0090.C103(X103)

Resolution: FIXED Degrated: No

Severity: Major Verified Version: 产生问题的原因是由于activity在finish的时候,把Task所有的config都还原了导致的

Reproducibility: Every time Fixed Version: 2023-04-19

Test Type: ST Root cause: 产生问题的原因是由于activity在finish的时候,把Task所有的config都还原了导致的

Description

【测试步骤】

1、打开应用宝or微信

2、点击点击搜索框或者登录按钮

【预期结果】

2、应用正常响应点击事件且仍保持小窗模式

【实际结果】

2、应用由小窗模式变为全屏

History

#1 - 2023-04-12 15:43 - CD TEST-方永红

- Parent task changed from #111057 to #111069

#2 - 2023-04-15 19:52 - CD FW-鲁凯峰

目前正在调查是否和强制横屏显示有关系,因为某个应用会自己设置强制竖屏显示,还需要时间调查

#3 - 2023-04-17 19:03 - CD FW-鲁凯峰

目前有个初步的解决方案,正在验证中,预计明天解决

#4 - 2023-04-18 10:14 - CD FW-鲁凯峰

■ Current conclusion

问题已经解决

■ My analysis

产生问题的原因是由于activity在finish的时候,把Task所有的config都还原了导致的

解决问题的方法不在还原config,在activity启动的时候重新去拦截,设置启动模式
■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/194395/3

#5 - 2023-04-18 10:14 - CD FW-鲁凯峰

- Verified Version set to 产生问题的原因是由于activity在finish的时候,把Task所有的config都还原了导致的

#6 - 2023-04-18 15:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194395 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: fix fullscreen modeTC-RID: 1201-0204601IssueID: TS-R-BUG-117413Change-Id: Ia2a3a84cf0a2f35bab54d8f626548fa357828360

#7 - 2023-04-18 15:16 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-19

- Root cause set to 产生问题的原因是由于activity在finish的时候,把Task所有的config都还原了导致的

#8 - 2023-04-19 14:32 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

4.19

验证通过

#9 - 2023-04-19 14:32 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-04-12 15-09-29.mp4 13.7 MB 2023-04-12 CD TEST-方永红
